Get Agent
curl --request GET \
--url 'https://api.vida.dev/api/v2/agent/{agentConfigId}?token='import requests
url = "https://api.vida.dev/api/v2/agent/{agentConfigId}?token="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.vida.dev/api/v2/agent/{agentConfigId}?token=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Success",
"campaign": {
"title": "<string>",
"description": "<string>",
"brandName": "<string>",
"agentInstructions": "<string>",
"welcomeMessage": "<string>",
"links": [
"<string>"
],
"keywords": [
"<string>"
],
"agentModel": "<string>",
"agentThinking": "low",
"agentThinkingModel": "<string>",
"postConvoForceThinking": true,
"timezone": "America/Chicago",
"agentVoice": "<string>",
"agentTtsEngine": "<string>",
"agentLang": "en-US",
"agentS2SEngine": "openai",
"agentSttEngine": "google",
"agentSttSmartFormatting": true,
"actions": [
{
"name": "<string>",
"instructions": "<string>",
"placeholder": "<string>",
"allowed": true,
"reason": "<string>",
"missingRequirement": "<string>"
}
],
"reportingFields": [
{
"key": "<string>",
"label": "<string>",
"instructions": "<string>",
"values": {
"kind": "boolean",
"choices": [
"<string>"
]
}
}
],
"apps": [
{
"appId": "<string>",
"version": "<string>",
"instructions": "<string>",
"enabled": true
}
],
"skills": [
{
"slug": "<string>",
"instructions": "<string>"
}
],
"computerDelegateAccountId": 123,
"heartbeatInstructions": "<string>",
"heartbeatEvery": "<string>",
"heartbeatConfig": {
"activeHours": {
"start": "08:00",
"end": "18:00",
"timezone": "America/Chicago"
},
"model": "<string>",
"session": "<string>",
"target": "<string>",
"to": "<string>",
"accountId": "<string>",
"directPolicy": "allow",
"includeReasoning": true,
"includeSystemPromptSection": true,
"ackMaxChars": 1,
"suppressToolErrorWarnings": true,
"timeoutSeconds": 2,
"lightContext": true,
"isolatedSession": true,
"skipWhenBusy": true
},
"backgroundAudio": "<string>",
"waitOnAnswer": 1,
"waitToGreet": true,
"postAnswerDtmf": "<string>",
"interruptionWordCount": 1,
"interruptionMinimumSpeakingTime": 1,
"speakingTimeout": 1,
"speechProcessingDelay": 1,
"speechProcessingDelayInterruptionStep": 1,
"speechProcessingDelayMaxMultiplier": 1,
"callerResponseTimeout": 1,
"callerResponseTimeoutHangupCounter": 1,
"ignoreSpeech": [
"<string>"
],
"noContactInjection": true,
"noConvoHistory": true,
"autoRecordingNotification": "true",
"recordingNotificationPhrase": "<string>",
"preAnswerRingTime": 30,
"preAnswerSkipProcessingResults": true,
"useAgentNumberForTransfers": true,
"confirmTransfers": true,
"monitorTransfers": true,
"attendedTransfers": true,
"attendedTransferBridgeTrigger": "<string>",
"attendedTransferCheckInTimeout": 1,
"transferConfirmTimeout": 1,
"announceTransferConnecting": true,
"announceTransferConnected": true,
"preTransferNotificationStart": "<string>",
"preTransferNotificationEnd": "<string>",
"enableRingback": true,
"enableTransferRingback": true,
"cnamAutoRejectRegex": "<string>",
"cnamAutoRejectCode": 123,
"cnamAutoTransferRegex": "<string>",
"cnamAutoTransferDestination": "<string>",
"id": "<string>",
"activeEventRules": [
"<string>"
],
"effectiveReportingFields": [
{
"key": "<string>",
"label": "<string>",
"instructions": "<string>",
"values": {
"kind": "boolean",
"choices": [
"<string>"
]
},
"source": "reseller"
}
]
}
}Agents
Get Agent
Returns one agent configuration by its agentConfigId. Use the staging or live endpoints when you want the selected account current slot without first knowing its identifier.
GET
/
api
/
v2
/
agent
/
{agentConfigId}
Get Agent
Authorizations
Vida API Token
Path Parameters
Agent configuration ID.
Query Parameters
Account used to authorize this read.
⌘I